%define  patch_name kernel-feat-cpufreq

Name: %patch_name
Version: 2006.05.02
Release: alt1

%define snapshot_version 20041225
%define phc_version 0.2.3
%define phc_kver 2.6.16

Summary: %patch_name kernel patch - CPU frequency and voltage scaling support
License: GPL
Group: Development/Kernel
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>
BuildArch: noarch

# 2.4 kernel old cpufreq patches
%source 1 00_cpufreq-LINUX_2_4-%snapshot_version.diff	2.4
%source 2 01_powernow-k8-gcc3.4.patch			2.4

# various patches for 2.6 kernel
%source 20 linux-phc-%phc_version-kernel-%phc_kver.patch	2.6

BuildRequires: kernel-build-tools

%description
This patch adds CPU frequency and voltage scaling support to the Linux kernel.

There are several patches used:
- for 2.4 kernel:
  + cpufreq (ftp://ftp.uk.linux.org/pub/linux/cpufreq) patches applied.
- for 2.6 kernel:
  + patches from linux-phc (http://linux-phc.sourceforge.net) project.

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Tue May 02 2006 LAKostis <lakostis at altlinux.org> 2006.05.02-alt1
- Update phc patch to 0.2.3 version.
- Cleanup .spec and retransform 2.4 patches.

* Mon May 01 2006 LAKostis <lakostis at altlinux.org> 2006.05.01-alt1
- Renumerate patches.
- Added:
  + linux-phc-0.2.2-kernel-2.6.16.patch: Linux Processor Hardware 
    Control is a patch for the Linux kernel that provides a userspace 
    interface to control the voltage of Intel Pentium-M processors.

* Sun Dec 25 2005 Sergey Vlasov <vsu@altlinux.ru> 2004.12.25-alt2
- Added:
  + 01_powernow-k8-gcc3.4.patch: fix compilation with gcc3.4 (#6124).

* Sat Dec 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.12.25-alt1
- Updated to cpufreq-LINUX_2_4-20041225.
- Removed obsolete patches:
  - cpufreq-2.4.26.patch
  - 10_cpufreq-wrap.patch

* Fri May 14 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.25-alt2
- Updated for 2.4.26 (fix SMP build).

* Sun Apr 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.25-alt1
- Updated to cpufreq-LINUX_2_4-20040425:
  + longhaul: Nehemiah disabled again - no specs available from VIA
- Added 10_cpufreq-wrap.patch: fix for (un)signed int wrap in
  proc_handler (CAN-2004-0228).

* Sun Mar 21 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.21-alt1
- Updated to cpufreq-LINUX_2_4-20040321:
  + longhaul: Try to enable Nehemiah
  + powernow-k8: Updated to 1.00.12

* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.23-alt1
- Updated for kernel 2.4.25.
- Updated to cpufreq-LINUX_2_4-20040223 (no real changes).
- Dropped cpufreq-2.4.22.patch (obsolete).

* Sun Dec 14 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.14-alt1
- Updated to cpufreq-LINUX_2_4-20031214:
  + longhaul: Ezra-T support added, rounding fixes
  + speedstep-centrino: Ultra Low Voltage Intel Pentium M processor 1000MHz
    support added
- Kept cpufreq-2.4.22.patch from the old version (new version contains patch
  for 2.4.23, which does not apply to 2.4.22 because of unrelated nearby
  changes).

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.28-alt1
- Updated to cpufreq-LINUX_2_4-20031128:
  + speedstep-smi driver fixes (added guard against non-Intel CPUs, added
    parameter descriptions, added ability to fake IST signature)

* Mon Oct 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.06-alt1
- Initial release

